#
# spec file for package nss_db (Version 2.1.92)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  db-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db db-devel devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         nss_db
Prefix: %{_prefix}
Copyright:    LGPL
Group:        System Environment/Libraries
Autoreqprov:  on
Version:      2.1.92
Release:      120
Summary:      NSS library for DB
BuildRoot:    %{_tmppath}/nss_db-root
Source:  http://members1.chello.nl/~mmkettenis/nss_db-%{version}.tar.gz
URL: http://members1.chello.nl/~mmkettenis/

%description
This package contains nss_db, which is a set of C library extensions which
allow Berkeley Databases to be used as a primary source of aliases, ethers,
groups, hosts, networks, protocol, passwd, services and shadow
passwords (instead of or in addition to using flat files or NIS).

SuSE series: ap

%prep
%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_lib} $RPM_BUILD_ROOT/var/db $RPM_BUILD_ROOT/%{_bindir}
cp -a .libs/libnss_db.so.2* $RPM_BUILD_ROOT/%{_lib}/
cp -a db-Makefile $RPM_BUILD_ROOT/var/db/Makefile
install -m 755 makedb $RPM_BUILD_ROOT/%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/%{_lib}/libnss_db.so.2*
%{_bindir}/makedb
%dir /var/db
/var/db/Makefile

%changelog -n nss_db
* Tue Mar 13 2001 - kukuk@suse.de
- Remove nssv1 support
* Mon Dec 04 2000 - schwab@suse.de
- Fix specfile for archs that don't use nssv1.
* Mon Oct 30 2000 - kukuk@suse.de
- Initial version since glibc 2.2 does not contain nss_db any longer
